Nicholas Warzin
===============

_Canadian software developer with a focus on smart, scalable data & interface_

[416.706.9935](tel:14167069935)  
[nicholas@warzin.com](mailto:nicholas@warzin.com)  
[https://github.com/tapesonthefloor](https://github.com/tapesonthefloor)

Technical tools
------------------



Experience
------------------
**Alvéole, October 2018—present**  
*Lead full-stack developer*

* Lead a team...


**Legal Aid Ontario, April 2008—November 2017**  
*Web developer*

* Provided systems administration, database administration, and full-stack web development for a variety of internal and external web properties including the corporate intranet and all client-facing websites as a member of the Communications department
* Planned and developed the agency-wide intranet on Microsoft SharePoint, including advanced theme and custom web part development
* Migrated multiple web properties to FOSS platforms, and moved old development stacks to modern best practice version control and deployment environments
* Developed and rolled out project management software Redmine, including full-stack development and support, custom plugin development, and adapted best practice management frameworks to our teams (agile, Scrum)
* Met with internal clients to assess needs, developed project strategies, presented project charters to executive mananagement, managed projects and teams through the entire project life cycle

**Logitech Canada, 2007-2008**  
*Technical support representative*

* Provided technical support to users of Logitech peripherals over the phone
* Fine-tuned problem solving, organizational, communication skills

**Town of Caledon Public Library, 1998—2003**  
*Network technician, Web developer*

- Developed and implemented first-generation digital systems for a seven-branch public library system, including a searchable online catalog, branch transfer functionality, and connectivity with emergent inter-library loan systems
- Responsible for the hardware and network administration of all seven branches
- Developed internal library software and the external website, provided graphic design work

**Freelance, 1996—present**  
*Full-stack software developer, DevOps*

* Primarily IT support until 2006, primarily web development from 2006 until present
* Developed custom CMS themes (WordPress, Drupal 6/7, Indexhibit) and plugins for clients in a variety of communities, provided web hosting services and management
